summaryrefslogtreecommitdiffhomepage
path: root/sofort.sh
diff options
context:
space:
mode:
authormidipix <writeonce@midipix.org>2015-12-16 02:18:52 -0500
committermidipix <writeonce@midipix.org>2015-12-16 02:18:52 -0500
commitabc68f44d0ffdab643daebfcc4ddb904eded1785 (patch)
tree7becd5775dfcd577b3e866fec99c0da885cd86bf /sofort.sh
parentbbc20f9c01d0a523a6b637f1b154d62cf45e72b1 (diff)
downloadsofort-abc68f44d0ffdab643daebfcc4ddb904eded1785.tar.bz2
sofort-abc68f44d0ffdab643daebfcc4ddb904eded1785.tar.xz
sofort.sh: remove dummy interfaces and related code from generated project.
Diffstat (limited to 'sofort.sh')
-rwxr-xr-xsofort.sh16
1 files changed, 15 insertions, 1 deletions
diff --git a/sofort.sh b/sofort.sh
index eb3123c..72fdc19 100755
--- a/sofort.sh
+++ b/sofort.sh
@@ -105,7 +105,21 @@ done
cp "$srcdir"/COPYING.SOFORT "$dstdir" || exit 2
cp "$srcdir"/src/internal/argv/argv.h "$dstdir"/src/internal/argv || exit 2
-# seven: finalize
+# seven: remove dummy interfaces
+rm "$dstdir"/src/output/* || exit 2
+
+recipe="$dstdir"/project/common.mk
+files=$(find . -type f)
+
+grep -v 'src/output' "$recipe" > "$recipe".tmp || exit 2
+mv "$recipe".tmp "$recipe" || exit 2
+
+for f in $files; do
+ grep -v 'dummy' "$f" > "$f".tmp
+ mv "$f".tmp "$f" || exit 2
+done
+
+# eight: finalize
uppername=`echo "$project" | tr '[:lower:]' '[:upper:]'`
utilcsrc=src/$project.c